<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_a452562e90118d3f3b23" . "d9482a407deb" => base64_decode("U0VMRUNUIGlkLCBuYW1lIEZST00gd2ZfY2F0ZWdvcnkgT1JERVIgQl" . "kgbmFtZQ=="), "_75ef4079806c4d4750ceb49f" . "6a576d29" => base64_decode("U0VMRUNUIERJU1RJTkNUIGlkLCBuYW1lIEZST00gd2ZfY2F0ZWdvcnksIHBlcm1pc3Npb" . "25zIFdIRVJFIA=="), "_4d707fab93bebb00bbe69e815969" . "7c90" => base64_decode(""), "_a77286b791af0933c781d2e09d4e" . "2225" => base64_decode("cGFuZWxzLndvcmtmbG93X2NhdGVnb3J5LmNhbnRfZGVsZXRlX2" . "5vbl9lbXB0eQ=="), "_a84d4e086" . "479d8e55ff" . "b4e3c8b3c2" . "cf7" => base64_decode("d2ZfY2F0ZWdvcnkucG" . "VybV9pZA=="), "_0aaf4c263c47c" . "a88308b769cdc0" . "804be" => base64_decode("IE9SREVSIEJZIG5h" . "bWU="), "_70d2bd78cab3d" . "15762db35ec8bc" . "6d00f" => base64_decode("Q2Fubm90IGZpbmQgY2F0ZWdvcnkgd2l0aCBzdWNoI" . "Glk"), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_b4594f46725555bf20d8" . "1748c4d38459" => base64_decode("d2ZfY2F0ZWd" . "vcnk="), "_f8713e229c3c165d58b874f89" . "6ed8105" => base64_decode("UGVybUNoZWNrQXN" . "TUUw="), "p" . "e" . "r" . "m" . "s" => base64_decode("cGV" . "ybX" . "M="));
class WFCategory extends DBObject
{
    
    
    
    
    protected $id;
    protected $name;
    protected $description;
    
    
    
    
    
    
    protected $perms;
    
    
    
    
    public function __construct()
    {
        $this->TABLE_NAME = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b4594f467255" . "55bf20d81748c" . "4d38459"];
        $this->id = -1;
        $this->name = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93b" . "ebb00bbe69e8" . "159697c90"];
        $this->description = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e8159697" . "c90"];
        $this->perms = new UnifiedPermissions();
    }
    
    
    
    
    
    
    
    public function IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425)
    {
        return $_40421a4e75c2ba3c82b018e6b56f7425 == $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["p" . "e" . "r" . "m" . "s"] || parent::IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425);
    }
    
    
    
    
    
    
    public function HasWorkflows()
    {
        $_b1eaa3313a3fd528f63e18a69460560a = new WFWorkflow();
        $_b1eaa3313a3fd528f63e18a69460560a->SetCategoryId($this->id);
        $_19e43d4a76a795ab7f0432112f84b5ec = $_b1eaa3313a3fd528f63e18a69460560a->GetSameByCategory();
        if ($_b1eaa3313a3fd528f63e18a69460560a->IsError()) {
            return $this->SetErrMsg($_b1eaa3313a3fd528f63e18a69460560a->GetErrMsg());
        }
        return !empty($_19e43d4a76a795ab7f0432112f84b5ec);
    }
    
    
    
    
    
    
    public function GetAllWorkflows()
    {
        $_b1eaa3313a3fd528f63e18a69460560a = new WFWorkflow($this->id);
        return $_b1eaa3313a3fd528f63e18a69460560a->GetSameByCategory();
    }
    
    
    
    
    
    
    protected function DeletePerms()
    {
        return $this->PassError($this->perms->DeleteAll(), $this->perms);
    }
    
    
    
    
    
    
    public function GetId()
    {
        return $this->id;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $this->name;
    }
    
    
    
    
    
    
    
    public function SetName($name)
    {
        $this->name = $name;
        return true;
    }
    
    
    
    
    
    
    public function GetDescription()
    {
        return $this->description;
    }
    
    
    
    
    
    
    public function SetDescription($_28fd57f750dbb5ffb3ffad3a888358a9)
    {
        $this->description = $_28fd57f750dbb5ffb3ffad3a888358a9;
        return true;
    }
    
    
    
    
    public function GetDefaultWFPermissions()
    {
        return $this->perms;
    }
    
    
    
    
    
    
    
    public function SetDefaultWFPermissions($perms)
    {
        $this->perms = $perms;
        return true;
    }
    public function Load($id = -1)
    {
        parent::Load($id);
        if (!$this->id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_70d2bd78cab3d15762db35ec8" . "bc6d00f"]);
        }
        
        
        if ($this->perm_id) {
            $this->perms->Load($this->perm_id);
        }
        if ($this->perms->IsError()) {
            return $this->SetErrMsg($this->perms->GetErrMsg());
        }
        return true;
    }
    public function Save()
    {
        global $db;
        if (!$this->perms->Save()) {
            return $this->SetErrMsg($this->perms->GetErrMsg());
        }
        $this->perm_id = $this->perms->id;
        parent::Save();
        return true;
    }
    
    
    
    
    
    
    public function Delete()
    {
        if ($this->HasWorkflow()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a77286b791af0933c781d2e0" . "9d4e2225"]));
        }
        parent::Delete();
        $this->DeletePerms();
        return true;
    }
    public function GetPerms()
    {
        return $this->GetDefaultWFPermissions();
    }
    
    
    
    
    
    
    
    
    public function UserHasPermission($perms, $user_id = false)
    {
        return $this->GetPerms()->UserHasPermission($perms, 0, $user_id);
    }
    
    
    
    
    
    
    public static function GetCategoryList($admin_mode, $rights)
    {
        global $db;
        $_1f24efd4735b7a11b391147435e7d35d = array();
        if ($admin_mode) {
            $_7f5aa4e96d4b415a86ed72ebff677cbe = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a452562e9" . "0118d3f3b2" . "3d9482a407" . "deb"];
        } else {
            $_7f5aa4e96d4b415a86ed72ebff677cbe = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_75ef4079806c4d4750ceb49f6a" . "576d29"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f8713e2" . "29c3c165" . "d58b874f" . "896ed810" . "5"](PERM_CLASS_UNIFIED, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a84d4e086479d" . "8e55ffb4e3c8b3" . "c2cf7"], $rights) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0aaf4c263c47ca88308" . "b769cdc0804be"];
        }
        $_a606a2dcd236a549db0574a9c1675927 = $db->query(new Query($_7f5aa4e96d4b415a86ed72ebff677cbe));
        while (list($_016db8297b062559d6c50204224476d1, $_e4858e7761a793faacb8c393283a3d5e) = $_a606a2dcd236a549db0574a9c1675927->fetchRow()) {
            $_1f24efd4735b7a11b391147435e7d35d[$_016db8297b062559d6c50204224476d1] = $_e4858e7761a793faacb8c393283a3d5e;
        }
        return $_1f24efd4735b7a11b391147435e7d35d;
    }
    
    
    
    
    
    
    
    public function HasWorkflow()
    {
        return $this->HasWorkflows();
    }
}